For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList orders for a business
        • POSTCreate an order for a business
        • GETRetrieve an order
        • GETRetrieve an order by ID
        • PUTUpdate an order
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationOrders

Update an order

PUT
https://api.middesk.com/v1/orders/:id
PUT
/v1/orders/:id
$curl -X PUT https://api.middesk.com/v1/orders/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Order updated
1{
2 "object": "order",
3 "id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
4 "status": "completed",
5 "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
6 "product": "business_verification_verify",
7 "created_at": "2025-01-07T12:00:00Z",
8 "updated_at": "2025-01-07T12:00:00Z",
9 "subproducts": [
10 "Articles of Incorporation"
11 ],
12 "completed_at": "2025-01-07T12:05:00Z",
13 "monitoring": false,
14 "requester": {
15 "name": "John Doe",
16 "type": "user"
17 }
18}
Was this page helpful?
Previous

List business batches

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Order ID

Request

This endpoint expects an object.
assignee_idstringOptional
ID of the user to assign the order to
statusstringOptional
New status for the order

Response

order updated
objectstring
idstringformat: "uuid"
statusenum
business_idstringformat: "uuid"
productenum
created_atdatetime
updated_atdatetime
subproductslist of enums
completed_atdatetime or null
monitoringboolean
requesterobject